org.apache.ignite.internal.util.ipc.shmem

## Class IpcSharedMemoryInitResponse

- java.lang.Object
- - org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryInitResponse

All Implemented Interfaces:
  Externalizable, Serializable

    public class IpcSharedMemoryInitResponse
    extends Object
    implements Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IpcSharedMemoryInitResponse()` Required by `Externalizable`.
`IpcSharedMemoryInitResponse(Exception err)` Constructs an error response.
`IpcSharedMemoryInitResponse(String inTokFileName, int inSharedMemId, String outTokFileName, int outSharedMemId, int pid, int size)` Constructs a successful response.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Exception` `error()`
`int` `inSharedMemoryId()`
`@Nullable String` `inTokenFileName()`
`int` `outSharedMemoryId()`
`@Nullable String` `outTokenFileName()`
`int` `pid()`
`void` `readExternal(ObjectInput in)`
`int` `size()`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IpcSharedMemoryInitResponse

    public IpcSharedMemoryInitResponse(String inTokFileName,
                                       int inSharedMemId,
                                       String outTokFileName,
                                       int outSharedMemId,
                                       int pid,
                                       int size)

Constructs a successful response.

Parameters:
  `inTokFileName` - In token.
  `inSharedMemId` - In shared memory ID.
  `outTokFileName` - Out token.
  `outSharedMemId` - Out shared memory ID.
  `pid` - PID of the `server` party.
  `size` - Size.

#### IpcSharedMemoryInitResponse

    public IpcSharedMemoryInitResponse(Exception err)

Constructs an error response.

Parameters:
  `err` - Error cause.

#### IpcSharedMemoryInitResponse

    public IpcSharedMemoryInitResponse()

Required by `Externalizable`.

### Method Detail

#### inTokenFileName

    @Nullable
    public @Nullable String inTokenFileName()

Returns:
  In token file name or `null`, if this is an error response.

#### inSharedMemoryId

    public int inSharedMemoryId()

Returns:
  In shared memory ID.

#### outTokenFileName

    @Nullable
    public @Nullable String outTokenFileName()

Returns:
  Out token file name or `null`, if this is an error response.

#### outSharedMemoryId

    public int outSharedMemoryId()

Returns:
  Out shared memory ID.

#### pid

    public int pid()

Returns:
  Sender PID.

#### size

    public int size()

Returns:
  Space size.

#### error

    @Nullable
    public @Nullable Exception error()

Returns:
  Error message or `null`, if this is a successful response.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020